Upgrading to GitLab 12.0.2.

Commit cb739253 authored by Nicholas Breen's avatar Nicholas Breen

Updates for 1.5.0

parent e46ad0b3
Pipeline #34790 failed with stages
in 4 minutes and 16 seconds
votca-tools (1.5-1) unstable; urgency=medium
* New upstream release.
- Rename libvotca-tools4 to libvotca-tools5.
* Add myself to uploaders.
* Enable new test suite.
* Add Build-Depends on libeigen3-dev and, for the tests,
libboost-test-dev.
* Minor housekeeping: update copyright years, update Standards-Version,
set Rules-Requires-Root: no.
* Move man pages to -dev package, allowing coinstallability of future
library versions.
-- Nicholas Breen <nbreen@debian.org> Fri, 01 Feb 2019 18:06:30 -0800
votca-tools (1.4.1-2) unstable; urgency=medium
* Add Breaks/Replaces on libvotca-tools3 due to filename conflicts.
......
......@@ -3,19 +3,23 @@ Section: libs
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Christoph Junghans <junghans@votca.org>,
Michael Banck <mbanck@debian.org>
Michael Banck <mbanck@debian.org>,
Nicholas Breen <nbreen@debian.org>
Build-Depends: cmake,
debhelper (>= 9.0.0),
libboost-filesystem-dev,
libboost-program-options-dev,
libboost-system-dev,
libboost-test-dev,
libeigen3-dev,
libexpat1-dev,
libfftw3-dev,
libgsl-dev,
libsqlite3-dev,
pkg-config,
txt2tags
Standards-Version: 4.1.3
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: http://www.votca.org
Vcs-Browser: https://salsa.debian.org/debichem-team/votca-tools
Vcs-Git: https://salsa.debian.org/debichem-team/votca-tools.git
......@@ -23,7 +27,9 @@ Vcs-Git: https://salsa.debian.org/debichem-team/votca-tools.git
Package: libvotca-tools-dev
Section: libdevel
Architecture: any
Depends: libvotca-tools4 (= ${binary:Version}), ${misc:Depends}
Depends: libvotca-tools5 (= ${binary:Version}), ${misc:Depends}
Breaks: libvotca-tools4 (<< 1.4.1-3~)
Replaces: libvotca-tools4
Description: VOTCA's tools library, development kit
VOTCA is a software package which focuses on the analysis of molecular
dynamics data, the development of systematic coarse-graining techniques as
......@@ -34,7 +40,7 @@ Description: VOTCA's tools library, development kit
.
This package contains header files and pkg-config files.
Package: libvotca-tools4
Package: libvotca-tools5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libvotca-tools2 (<< 1.3), libvotca-tools3
......
......@@ -3,7 +3,7 @@ Upstream-Name: votca-tools
Source: https://github.com/votca/tools/releases
Files: *
Copyright: 2009-2013 The VOTCA Development Team
Copyright: 2009-2019 The VOTCA Development Team
License: Apache-2.0
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
......@@ -22,7 +22,7 @@ License: Apache-2.0
Files: debian/*
Copyright: 2013 Christoph Junghans <junghans@votca.org>
2015 debichem team <debichem-devel@lists.alioth.debian.org>
2015,2016,2017,2018,2019 debichem team <debichem-devel@lists.alioth.debian.org>
License: GPL-2+
This package is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
......
......@@ -14,7 +14,7 @@ DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
override_dh_auto_configure:
dh_auto_configure -- -DLIB=lib/$(DEB_HOST_MULTIARCH)
dh_auto_configure -- -DLIB=lib/$(DEB_HOST_MULTIARCH) -DENABLE_TESTING=On
%:
dh $@
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment